Bug 117324 - Filesystems not mounted and root filesystem is readonly
Filesystems not mounted and root filesystem is readonly
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: initscripts (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-02 15:58 EST by MIdRange Support
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 23:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MIdRange Support 2004-03-02 15:58:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
The only file system being mounted is / as shown by df.  It is 
mounted read-only.  Although df does not show other file systems 
mounted, the files are there and those directories CAN be written 
into.  Ex. in /usr I can create a file using "touch /usr/junk".  

We found a file "/halt" of 0 length in the root "/" filesystem.  We 
booted into rescue mode using the install CD, removed the /halt file 
and rebooted.  The system came up ok and performed a fsck on all 
filesystem.  This check showed no errors.  Everything appeared to be 
working properly.  We later rebooted and are now back to our original 
problem, "/" read-only and a /halt file in root "/" filesystem, date 
of last shutdown and 0 length.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.
    

Additional info:
Comment 1 Bill Nottingham 2004-03-02 16:06:48 EST
What errors do you get on bootup when it comes up in this state?

Is your initrd made correctly?
Comment 2 MIdRange Support 2004-03-02 16:24:15 EST
I have another system that is setup the same way and it is working 
ok.  This system was functioning ok until late last week.  The change 
that was made then was to change the setup on some additional disks 
that are not on /dev/sda.
Comment 3 Bill Nottingham 2004-03-16 18:30:16 EST
Again, what specific errors do you get on boot?
Comment 4 Bill Nottingham 2005-04-19 23:21:07 EDT
Closing, no response.

Note You need to log in before you can comment on or make changes to this bug.